For the complete documentation index, see llms.txt. This page is also available as Markdown.

College

get

Retrieve College Api.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/college/
GET /api/v1/dashboard/college/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "level": 1,
    "org": "text",
    "number_of_members": "text",
    "total_karma": "text",
    "no_of_lc": "text",
    "no_of_alumni": "text"
  }
}
get

Retrieve College Api.

Authorizations
sessionidstringOptional
Path parameters
college_codestringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/college/{college_code}/
GET /api/v1/dashboard/college/{college_code}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "level": 1,
    "org": "text",
    "number_of_members": "text",
    "total_karma": "text",
    "no_of_lc": "text",
    "no_of_alumni": "text"
  }
}
patch

Partially update College Change.

Authorizations
sessionidstringOptional
Body
org_idstring · max: 36Optional
department_idstring · max: 36 · nullableOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
patch/api/v1/dashboard/college/change-college/
PATCH /api/v1/dashboard/college/change-college/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 40

{
  "org_id": "text",
  "department_id": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "org_id": "text",
    "department_id": "text"
  }
}

Last updated

Was this helpful?